/**
 * 文件名： Result.java 此类描述的是： 作者: leiliang 创建时间: 2016年3月23日 上午11:00:27
 */
package com.duiba.tuia.youtui.web.model;

import org.apache.commons.lang.builder.ToStringBuilder;

/**
 * <一句话功能描述> <功能详细描述>.
 *
 * @param <T> the generic type
 * @author: leiliang
 * @version:
 */
public class Result<T> extends BaseResult {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = -1467576157657126613L;

    /** The t. */
    private T                 data;

    private boolean           success;

    public T getData() {
        return data;
    }

    public void setData(T data) {
        this.data = data;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    @Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this);
    }

}
